# Uses of Interface
org.pentaho.reporting.libraries.repository.MimeRegistry

Packages that use MimeRegistry
Package
Description
org.pentaho.reporting.libraries.repository
org.pentaho.reporting.libraries.repository.dummy
org.pentaho.reporting.libraries.repository.email
org.pentaho.reporting.libraries.repository.file
org.pentaho.reporting.libraries.repository.stream
org.pentaho.reporting.libraries.repository.zip
org.pentaho.reporting.libraries.repository.zipreader
org.pentaho.reporting.libraries.repository.zipwriter

## Uses of MimeRegistry in org.pentaho.reporting.libraries.repository

Classes in org.pentaho.reporting.libraries.repository that implement MimeRegistry
Modifier and Type
Class
Description
`class`
`DefaultMimeRegistry`
The default-mime registry contains a list of well-known file types and returns mime-information for them.
Methods in org.pentaho.reporting.libraries.repository that return MimeRegistry
Modifier and Type
Method
Description
`MimeRegistry`
Repository.`getMimeRegistry()`
Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.

## Uses of MimeRegistry in org.pentaho.reporting.libraries.repository.dummy

Methods in org.pentaho.reporting.libraries.repository.dummy that return MimeRegistry
Modifier and Type
Method
Description
`MimeRegistry`
DummyRepository.`getMimeRegistry()`
Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.

## Uses of MimeRegistry in org.pentaho.reporting.libraries.repository.email

Methods in org.pentaho.reporting.libraries.repository.email that return MimeRegistry
Modifier and Type
Method
Description
`MimeRegistry`
EmailRepository.`getMimeRegistry()`
Constructors in org.pentaho.reporting.libraries.repository.email with parameters of type MimeRegistry
Modifier
Constructor
Description
``
`EmailRepository(javax.mail.internet.MimeMessage htmlEmail, MimeRegistry mimeRegistry)`
``
`EmailRepository(MimeRegistry mimeRegistry, javax.mail.Session mailSession)`

## Uses of MimeRegistry in org.pentaho.reporting.libraries.repository.file

Methods in org.pentaho.reporting.libraries.repository.file that return MimeRegistry
Modifier and Type
Method
Description
`MimeRegistry`
FileRepository.`getMimeRegistry()`
Returns the mime-registry for the repository.
Constructors in org.pentaho.reporting.libraries.repository.file with parameters of type MimeRegistry
Modifier
Constructor
Description
``
`FileRepository(File file, MimeRegistry mimeRegistry)`
Creates a new repository for the given file.

## Uses of MimeRegistry in org.pentaho.reporting.libraries.repository.stream

Methods in org.pentaho.reporting.libraries.repository.stream that return MimeRegistry
Modifier and Type
Method
Description
`MimeRegistry`
StreamRepository.`getMimeRegistry()`
Returns the mime registry for this repository.

## Uses of MimeRegistry in org.pentaho.reporting.libraries.repository.zip

Methods in org.pentaho.reporting.libraries.repository.zip that return MimeRegistry
Modifier and Type
Method
Description
`MimeRegistry`
ZipRepository.`getMimeRegistry()`
Constructors in org.pentaho.reporting.libraries.repository.zip with parameters of type MimeRegistry
Modifier
Constructor
Description
``
`ZipRepository(InputStream in, MimeRegistry mimeRegistry)`
``
`ZipRepository(MimeRegistry mimeRegistry)`

## Uses of MimeRegistry in org.pentaho.reporting.libraries.repository.zipreader

Methods in org.pentaho.reporting.libraries.repository.zipreader that return MimeRegistry
Modifier and Type
Method
Description
`MimeRegistry`
ZipReadRepository.`getMimeRegistry()`
Constructors in org.pentaho.reporting.libraries.repository.zipreader with parameters of type MimeRegistry
Modifier
Constructor
Description
``
`ZipReadRepository(InputStream in, MimeRegistry mimeRegistry)`

## Uses of MimeRegistry in org.pentaho.reporting.libraries.repository.zipwriter

Methods in org.pentaho.reporting.libraries.repository.zipwriter that return MimeRegistry
Modifier and Type
Method
Description
`MimeRegistry`
ZipRepository.`getMimeRegistry()`
Constructors in org.pentaho.reporting.libraries.repository.zipwriter with parameters of type MimeRegistry
Modifier
Constructor
Description
``
`ZipRepository(OutputStream out, int level, MimeRegistry mimeRegistry)`